# pandas.io.formats.style.Styler.format

`Styler.``format`(formatter, subset=None)

  Format the text display value of cells.

  New in version 0.18.0.

  Parameters:

  formatter: str, callable, or dict

  subset: IndexSlice

  > An argument to `DataFrame.loc` that restricts which elements `formatter` is applied to.

  Returns: | self : Styler

  Notes

  `formatter` is either an `a` or a dict `{column name: a}` where `a` is one of

  - str: this will be wrapped in: `a.format(x)`
  - callable: called with the value of an individual cell

  The default display value for numeric values is the “general” (`g`) format with `pd.options.display.precision` precision.

  Examples

      >>> df = pd.DataFrame(np.random.randn(4, 2), columns=['a', 'b'])
      >>> df.style.format("{:.2%}")
      >>> df['c'] = ['a', 'b', 'c', 'd']
      >>> df.style.format({'C': str.upper})

Scroll To Top